com.impinj.stp

## Class StpApi.DeviceEventConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventConfig.Builder>
      - - com.impinj.stp.StpApi.DeviceEventConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.DeviceEventConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.DeviceEventConfig

      public static final class StpApi.DeviceEventConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventConfig.Builder>
      implements StpApi.DeviceEventConfigOrBuilder

  Protobuf type `Impinj.STP.DeviceEventConfig` Enable or disable classes of reports.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.DeviceEventConfig` | `build()`
    `StpApi.DeviceEventConfig` | `buildPartial()`
    `StpApi.DeviceEventConfig.Builder` | `clear()`
    `StpApi.DeviceEventConfig.Builder` | `clearEnableGPIEvents()` optional bool enable_serialization_job_events = 2 [default = true];
    `StpApi.DeviceEventConfig.Builder` | `clearEnableOperationEvents()`
    `StpApi.DeviceEventConfig.Builder` | `clearLowEncodeVolumeEventConfig()` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
    `StpApi.DeviceEventConfig.Builder` | `clone()`
    `StpApi.DeviceEventConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `boolean` | `getEnableGPIEvents()` optional bool enable_serialization_job_events = 2 [default = true];
    `boolean` | `getEnableOperationEvents()`
    `StpApi.LowEncodeVolumeEventConfig` | `getLowEncodeVolumeEventConfig()` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
    `StpApi.LowEncodeVolumeEventConfig.Builder` | `getLowEncodeVolumeEventConfigBuilder()` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
    `StpApi.LowEncodeVolumeEventConfigOrBuilder` | `getLowEncodeVolumeEventConfigOrBuilder()` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
    `boolean` | `hasEnableGPIEvents()` optional bool enable_serialization_job_events = 2 [default = true];
    `boolean` | `hasEnableOperationEvents()`
    `boolean` | `hasLowEncodeVolumeEventConfig()` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.DeviceEventConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.DeviceEventConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.DeviceEventConfig.Builder` | `mergeFrom(StpApi.DeviceEventConfig other)`
    `StpApi.DeviceEventConfig.Builder` | `mergeLowEncodeVolumeEventConfig(StpApi.LowEncodeVolumeEventConfig value)` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
    `StpApi.DeviceEventConfig.Builder` | `setEnableGPIEvents(boolean value)` optional bool enable_serialization_job_events = 2 [default = true];
    `StpApi.DeviceEventConfig.Builder` | `setEnableOperationEvents(boolean value)`
    `StpApi.DeviceEventConfig.Builder` | `setLowEncodeVolumeEventConfig(StpApi.LowEncodeVolumeEventConfig.Builder builderForValue)` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
    `StpApi.DeviceEventConfig.Builder` | `setLowEncodeVolumeEventConfig(StpApi.LowEncodeVolumeEventConfig value)` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventConfig.Builder>`

    - #### clear

          public StpApi.DeviceEventConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventConfig.Builder>`

    - #### clone

          public StpApi.DeviceEventConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.DeviceEventConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.DeviceEventConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.DeviceEventConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.DeviceEventConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceEventConfig.Builder>`

    - #### mergeFrom

          public StpApi.DeviceEventConfig.Builder mergeFrom(StpApi.DeviceEventConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceEventConfig.Builder>`

    - #### mergeFrom

          public StpApi.DeviceEventConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceEventConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasEnableOperationEvents

          public boolean hasEnableOperationEvents()

      Specified by:
        `hasEnableOperationEvents` in interface `StpApi.DeviceEventConfigOrBuilder`

    - #### getEnableOperationEvents

          public boolean getEnableOperationEvents()

      Specified by:
        `getEnableOperationEvents` in interface `StpApi.DeviceEventConfigOrBuilder`

    - #### setEnableOperationEvents

          public StpApi.DeviceEventConfig.Builder setEnableOperationEvents(boolean value)

    - #### clearEnableOperationEvents

          public StpApi.DeviceEventConfig.Builder clearEnableOperationEvents()

    - #### hasEnableGPIEvents

          public boolean hasEnableGPIEvents()

      optional bool enable_serialization_job_events = 2 [default = true];
      Specified by:
        `hasEnableGPIEvents` in interface `StpApi.DeviceEventConfigOrBuilder`

    - #### getEnableGPIEvents

          public boolean getEnableGPIEvents()

      optional bool enable_serialization_job_events = 2 [default = true];
      Specified by:
        `getEnableGPIEvents` in interface `StpApi.DeviceEventConfigOrBuilder`

    - #### setEnableGPIEvents

          public StpApi.DeviceEventConfig.Builder setEnableGPIEvents(boolean value)

      optional bool enable_serialization_job_events = 2 [default = true];

    - #### clearEnableGPIEvents

          public StpApi.DeviceEventConfig.Builder clearEnableGPIEvents()

      optional bool enable_serialization_job_events = 2 [default = true];

    - #### hasLowEncodeVolumeEventConfig

          public boolean hasLowEncodeVolumeEventConfig()

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
      Specified by:
        `hasLowEncodeVolumeEventConfig` in interface `StpApi.DeviceEventConfigOrBuilder`

    - #### getLowEncodeVolumeEventConfig

          public StpApi.LowEncodeVolumeEventConfig getLowEncodeVolumeEventConfig()

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
      Specified by:
        `getLowEncodeVolumeEventConfig` in interface `StpApi.DeviceEventConfigOrBuilder`

    - #### setLowEncodeVolumeEventConfig

          public StpApi.DeviceEventConfig.Builder setLowEncodeVolumeEventConfig(StpApi.LowEncodeVolumeEventConfig value)

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];

    - #### setLowEncodeVolumeEventConfig

          public StpApi.DeviceEventConfig.Builder setLowEncodeVolumeEventConfig(StpApi.LowEncodeVolumeEventConfig.Builder builderForValue)

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];

    - #### mergeLowEncodeVolumeEventConfig

          public StpApi.DeviceEventConfig.Builder mergeLowEncodeVolumeEventConfig(StpApi.LowEncodeVolumeEventConfig value)

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];

    - #### clearLowEncodeVolumeEventConfig

          public StpApi.DeviceEventConfig.Builder clearLowEncodeVolumeEventConfig()

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];

    - #### getLowEncodeVolumeEventConfigBuilder

          public StpApi.LowEncodeVolumeEventConfig.Builder getLowEncodeVolumeEventConfigBuilder()

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];

    - #### getLowEncodeVolumeEventConfigOrBuilder

          public StpApi.LowEncodeVolumeEventConfigOrBuilder getLowEncodeVolumeEventConfigOrBuilder()

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
      Specified by:
        `getLowEncodeVolumeEventConfigOrBuilder` in interface `StpApi.DeviceEventConfigOrBuilder`